<div class="title">
    <div *ngIf="!destinationDisabled; else textOnly">
        <select [(ngModel)]="selectedDestinationIndex" [disabled]="destinationDisabled"
            (ngModelChange)="onDestinationChange($event)">
            <option value=-1>Select a destination...</option>
            <option *ngFor="let obj of routerService.destinations" [value]="obj.index">{{obj.name}} - {{obj.alias}}
            </option>
        </select>
    </div>

    <ng-template #textOnly>
        <span *ngIf="selectedDestination.name; else noDest">
            {{selectedDestination.name}} <span *ngIf="selectedDestination.alias">-
                {{selectedDestination.alias}}</span>
        </span>
    </ng-template>

    <ng-template #noDest>Missing Destination ({{selectedDestinationIndex}})</ng-template>
</div>
<div class="source">
    <div class="label">&nbsp;{{selectedSource.name}} <span *ngIf="selectedSource.alias">-
            {{selectedSource.alias}}</span></div>
    <input list="sources" class="source-select" [(ngModel)]="selectedSourceIndex"
        (ngModelChange)="onSourceChange($event)" (focusin)="onSourceFocus($event)" />
    <datalist id="sources">
        <option *ngFor="let obj of routerService.sources" [value]="obj.index">{{obj.name}} - {{obj.alias}}</option>
    </datalist>
</div>
<button class="myButton" (click)="take($event)">Take</button>
<button class="myButton" (click)="status($event)">Get Status</button>
<ng-content></ng-content>